Loading...
Searching...
No Matches
pcl::Supervoxel< PointT > Class Template Reference

Supervoxel container class - stores a cluster extracted using supervoxel clustering. More...

`#include <pcl/segmentation/supervoxel_clustering.h>`

## Public Types

using | Ptr = shared_ptr<Supervoxel<PointT> >
using | ConstPtr = shared_ptr<const Supervoxel<PointT> >

## Public Member Functions

| Supervoxel ()
void | getCentroidPoint (PointXYZRGBA &centroid_arg)
| Gets the centroid of the supervoxel.
void | getCentroidPointNormal (PointNormal &normal_arg)
| Gets the point normal for the supervoxel.

## Public Attributes

pcl::Normal | normal_
| The normal calculated for the voxels contained in the supervoxel.
pcl::PointXYZRGBA | centroid_
| The centroid of the supervoxel - average voxel.
pcl::PointCloud< PointT >::Ptr | voxels_
| A Pointcloud of the voxels in the supervoxel.
pcl::PointCloud< Normal >::Ptr | normals_
| A Pointcloud of the normals for the points in the supervoxel.

## Detailed Description

template<typename PointT>
class pcl::Supervoxel< PointT >

Supervoxel container class - stores a cluster extracted using supervoxel clustering.

Definition at line 67 of file supervoxel_clustering.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::Supervoxel< PointT >::ConstPtr = shared_ptr<const Supervoxel<PointT> >

Definition at line 76 of file supervoxel_clustering.h.

## Ptr

template<typename PointT>

using pcl::Supervoxel< PointT >::Ptr = shared_ptr<Supervoxel<PointT> >

Definition at line 75 of file supervoxel_clustering.h.

## Constructor & Destructor Documentation

## Supervoxel()

template<typename PointT>

pcl::Supervoxel< PointT >::Supervoxel | ( |  | ) |

inline

Definition at line 70 of file supervoxel_clustering.h.

References normals_, and voxels_.

## Member Function Documentation

## getCentroidPoint()

template<typename PointT>

void pcl::Supervoxel< PointT >::getCentroidPoint | ( | PointXYZRGBA & | centroid_arg | ) |

inline

Gets the centroid of the supervoxel.

Parameters

  [out] | centroid_arg | centroid of the supervoxel

Definition at line 82 of file supervoxel_clustering.h.

References centroid_.

## getCentroidPointNormal()

template<typename PointT>

void pcl::Supervoxel< PointT >::getCentroidPointNormal | ( | PointNormal & | normal_arg | ) |

inline

Gets the point normal for the supervoxel.

Parameters

  [out] | normal_arg | Point normal of the supervoxel

Note
  This isn't an average, it is a normal computed using all of the voxels in the supervoxel as support

Definition at line 92 of file supervoxel_clustering.h.

References centroid_, pcl::_PointNormal::curvature, and normal_.

## Member Data Documentation

## centroid_

template<typename PointT>

pcl::PointXYZRGBA pcl::Supervoxel< PointT >::centroid_

The centroid of the supervoxel - average voxel.

Definition at line 106 of file supervoxel_clustering.h.

Referenced by pcl::LCCPSegmentation< PointT >::connIsConvex(), getCentroidPoint(), and getCentroidPointNormal().

## normal_

template<typename PointT>

pcl::Normal pcl::Supervoxel< PointT >::normal_

The normal calculated for the voxels contained in the supervoxel.

Definition at line 104 of file supervoxel_clustering.h.

Referenced by pcl::LCCPSegmentation< PointT >::connIsConvex(), and getCentroidPointNormal().

## normals_

template<typename PointT>

pcl::PointCloud<Normal>::Ptr pcl::Supervoxel< PointT >::normals_

A Pointcloud of the normals for the points in the supervoxel.

Definition at line 110 of file supervoxel_clustering.h.

Referenced by Supervoxel().

## voxels_

template<typename PointT>

pcl::PointCloud<PointT>::Ptr pcl::Supervoxel< PointT >::voxels_

A Pointcloud of the voxels in the supervoxel.

Definition at line 108 of file supervoxel_clustering.h.

Referenced by Supervoxel().

The documentation for this class was generated from the following file:

- pcl/segmentation/supervoxel_clustering.h